/***********************************************************************
**
**   qtooltip.cpp
**
**   This file is part of Cumulus
**
************************************************************************
**
**   Copyright (c):  2004 by Eggert Ehmke
**
**   This file is distributed under the terms of the General Public
**   Licence. See the file COPYING for more information.
**
**   $Id: qtooltip.cpp,v 1.1 2004/01/23 22:08:33 andre Exp $
**
***********************************************************************/

#include "qtooltip.h"

QPalette QToolTip::palette()
{
  static bool init;
  static QPalette pt;

  if (! init)
  { // only initialise once
    init=true;
    qDebug("initialising my qtt-palette()");
    QColor fg = QColor(0x00,0x00,0x00);
    QColor bg = QColor(0xff,0xff,0xdc);

    pt.setColor(QColorGroup::Background,bg);
    pt.setBrush(QColorGroup::Foreground,fg);
  }

  return pt;
}


